/*
 * MultiMAIL offline mail reader
 * 

   Written by Toth Istvan (stoty@vma.bme.hu)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#include "mmail.h"
#include "resource.h"
#include "error.h"
#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>


int main(int argc, char** argv)
{

	packet_list *packetList;

	int n, c;
	
	cerr << "start" << "\n";

	mmail *mm;
	
	mm = new mmail;

	cerr << "mm created" << "\n";

//	packetList = mm->getPacketList(); 
	packetList = mm->getPacketList(); 

	cerr << "packetlist created" << "\n";
	
	cerr << packetList->getNoOfPackets()  << "\n";
	
	for(c=1; c <= packetList->getNoOfPackets(); c++ )
	{
		cerr << c;
		packetList->gotoPacket(c);
		cerr << packetList->getName();
	};
	
	packetList->gotoPacket(1);

	cerr << "packetList done";

//	mm->selectPacket(packetList->getName());
 	mm->selectPacket(packetList->getName());
	
	letter_list *letterList;
	char	*message;

	n = mm->areaList->noOfAreas();
	cerr <<  "no of areas:" << n << '\n';
	for(c=1; c <= n ; c++)
	{
		mm->areaList->gotoArea(c);
		cerr << mm->areaList->getAreaNo() << ' ' ;
		//cerr << mm->areaList->getID() << ' ';
		cerr << mm->areaList->getShortName() << ' ';
		cerr << mm->areaList->getName() << ' ';
		cerr << mm->areaList->getDescription() << " : ";
		cerr << mm->areaList->getNoOfLetters() << ' ';
		cerr << mm->areaList->getNoOfPersonal() << " : ";
		cerr << mm->areaList->getType() << '\n'; 
	}

	cerr << " areas listed" << "\n";

	for(int d=1; d<=mm->areaList->noOfAreas(); d++)	
	{
		mm->areaList->gotoArea(d);
		letterList = mm->areaList->getLetterList();
		for(c=1; c <= mm->areaList->getNoOfLetters() ; c++)
		{
			letterList->gotoLetter(c);
			cout << "\n" << letterList->getSubject() << "\n ";
			cout << letterList->getFrom() << "\n ";
			cout << letterList->getTo() << "\n ";
			cout << letterList->getDate() << "\n";
			cout << "letterID " << letterList->getLetterID() << "\n";
			cout << "areaID " << letterList->getAreaID() << "\n";
			cout << letterList->getLength() << "\n"; 
			message = letterList->getBody(); 
			for(int x=0;x<=letterList->getLength();x++)
			{
				if(message[x]==13)
					message[x]=10;
				putchar(message[x]);
			}; 
		};
	};  
//mm->areaList->makeReply(1);

};

